Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ares.impl
Class RunImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.amp.amf.testing.ares.impl.RunImpl

All Implemented Interfaces:
  Run, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class RunImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements Run

An implementation of the model object 'Run'.

The following features are implemented:

- `Model`
- `Test`
- `Parameterization`
- `Result`
- `Parameters`
- `Constraints`
- `Started`
- `Finished`
- `Results`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList<Constraint>` | `constraints` The cached value of the '`Constraints`' containment reference list.
`protected java.util.Date` | `finished` The cached value of the '`Finished`' attribute.
`protected static java.util.Date` | `FINISHED_EDEFAULT` The default value of the '`Finished`' attribute.
`protected SContext` | `model` The cached value of the '`Model`' reference.
`protected Model` | `parameterization` The cached value of the '`Parameterization`' reference.
`protected org.eclipse.emf.common.util.EList<SingleParameter>` | `parameters` The cached value of the '`Parameters`' containment reference list.
`protected ResultType` | `result` The cached value of the '`Result`' attribute.
`protected static ResultType` | `RESULT_EDEFAULT` The default value of the '`Result`' attribute.
`protected org.eclipse.emf.common.util.EList<ConstraintTest>` | `results` The cached value of the '`Results`' containment reference list.
`protected java.util.Date` | `started` The cached value of the '`Started`' attribute.
`protected static java.util.Date` | `STARTED_EDEFAULT` The default value of the '`Started`' attribute.
`protected Model` | `test` The cached value of the '`Test`' reference.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `RunImpl()`

Method Summary
`SContext` | `basicGetModel()`
`Model` | `basicGetParameterization()`
`Model` | `basicGetTest()`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<Constraint>` | `getConstraints()`
`java.util.Date` | `getFinished()`
`SContext` | `getModel()`
`Model` | `getParameterization()`
`org.eclipse.emf.common.util.EList<SingleParameter>` | `getParameters()`
`ResultType` | `getResult()`
`org.eclipse.emf.common.util.EList<ConstraintTest>` | `getResults()`
`java.util.Date` | `getStarted()`
`Model` | `getTest()`
`void` | `setFinished(java.util.Date newFinished)`
`void` | `setModel(SContext newModel)`
`void` | `setParameterization(Model newParameterization)`
`void` | `setResult(ResultType newResult)`
`void` | `setStarted(java.util.Date newStarted)`
`void` | `setTest(Model newTest)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### model

    protected SContext model

  The cached value of the '`Model`' reference.

  See Also:
    `getModel()`

### test

    protected Model test

  The cached value of the '`Test`' reference.

  See Also:
    `getTest()`

### parameterization

    protected Model parameterization

  The cached value of the '`Parameterization`' reference.

  See Also:
    `getParameterization()`

### RESULT_EDEFAULT

    protected static final ResultType RESULT_EDEFAULT

  The default value of the '`Result`' attribute.

  See Also:
    `getResult()`

### result

    protected ResultType result

  The cached value of the '`Result`' attribute.

  See Also:
    `getResult()`

### parameters

    protected org.eclipse.emf.common.util.EList<SingleParameter> parameters

  The cached value of the '`Parameters`' containment reference list.

  See Also:
    `getParameters()`

### constraints

    protected org.eclipse.emf.common.util.EList<Constraint> constraints

  The cached value of the '`Constraints`' containment reference list.

  See Also:
    `getConstraints()`

### STARTED_EDEFAULT

    protected static final java.util.Date STARTED_EDEFAULT

  The default value of the '`Started`' attribute.

  See Also:
    `getStarted()`

### started

    protected java.util.Date started

  The cached value of the '`Started`' attribute.

  See Also:
    `getStarted()`

### FINISHED_EDEFAULT

    protected static final java.util.Date FINISHED_EDEFAULT

  The default value of the '`Finished`' attribute.

  See Also:
    `getFinished()`

### finished

    protected java.util.Date finished

  The cached value of the '`Finished`' attribute.

  See Also:
    `getFinished()`

### results

    protected org.eclipse.emf.common.util.EList<ConstraintTest> results

  The cached value of the '`Results`' containment reference list.

  See Also:
    `getResults()`

Constructor Detail

### RunImpl

    protected RunImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getModel

    public SContext getModel()

  Specified by:
    `getModel` in interface `Run`
  Returns:
    the value of the 'Model' reference.
  See Also:
    `Run.setModel(SContext)`, `AresPackage.getRun_Model()`

### basicGetModel

    public SContext basicGetModel()

### setModel

    public void setModel(SContext newModel)

  Specified by:
    `setModel` in interface `Run`
  Parameters:
    `newModel` - the new value of the 'Model' reference.
  See Also:
    `Run.getModel()`

### getTest

    public Model getTest()

  Specified by:
    `getTest` in interface `Run`
  Returns:
    the value of the 'Test' reference.
  See Also:
    `Run.setTest(Model)`, `AresPackage.getRun_Test()`

### basicGetTest

    public Model basicGetTest()

### setTest

    public void setTest(Model newTest)

  Specified by:
    `setTest` in interface `Run`
  Parameters:
    `newTest` - the new value of the 'Test' reference.
  See Also:
    `Run.getTest()`

### getParameterization

    public Model getParameterization()

  Specified by:
    `getParameterization` in interface `Run`
  Returns:
    the value of the 'Parameterization' reference.
  See Also:
    `Run.setParameterization(org.eclipse.amp.amf.parameters.aPar.Model)`, `AresPackage.getRun_Parameterization()`

### basicGetParameterization

    public Model basicGetParameterization()

### setParameterization

    public void setParameterization(Model newParameterization)

  Specified by:
    `setParameterization` in interface `Run`
  Parameters:
    `newParameterization` - the new value of the 'Parameterization' reference.
  See Also:
    `Run.getParameterization()`

### getResult

    public ResultType getResult()

  Specified by:
    `getResult` in interface `Run`
  Returns:
    the value of the 'Result' attribute.
  See Also:
    `ResultType`, `Run.setResult(ResultType)`, `AresPackage.getRun_Result()`

### setResult

    public void setResult(ResultType newResult)

  Specified by:
    `setResult` in interface `Run`
  Parameters:
    `newResult` - the new value of the 'Result' attribute.
  See Also:
    `ResultType`, `Run.getResult()`

### getParameters

    public org.eclipse.emf.common.util.EList<SingleParameter> getParameters()

  Specified by:
    `getParameters` in interface `Run`
  Returns:
    the value of the 'Parameters' containment reference list.
  See Also:
    `AresPackage.getRun_Parameters()`

### getConstraints

    public org.eclipse.emf.common.util.EList<Constraint> getConstraints()

  Specified by:
    `getConstraints` in interface `Run`
  Returns:
    the value of the 'Constraints' containment reference list.
  See Also:
    `AresPackage.getRun_Constraints()`

### getStarted

    public java.util.Date getStarted()

  Specified by:
    `getStarted` in interface `Run`
  Returns:
    the value of the 'Started' attribute.
  See Also:
    `Run.setStarted(Date)`, `AresPackage.getRun_Started()`

### setStarted

    public void setStarted(java.util.Date newStarted)

  Specified by:
    `setStarted` in interface `Run`
  Parameters:
    `newStarted` - the new value of the 'Started' attribute.
  See Also:
    `Run.getStarted()`

### getFinished

    public java.util.Date getFinished()

  Specified by:
    `getFinished` in interface `Run`
  Returns:
    the value of the 'Finished' attribute.
  See Also:
    `Run.setFinished(Date)`, `AresPackage.getRun_Finished()`

### setFinished

    public void setFinished(java.util.Date newFinished)

  Specified by:
    `setFinished` in interface `Run`
  Parameters:
    `newFinished` - the new value of the 'Finished' attribute.
  See Also:
    `Run.getFinished()`

### getResults

    public org.eclipse.emf.common.util.EList<ConstraintTest> getResults()

  Specified by:
    `getResults` in interface `Run`
  Returns:
    the value of the 'Results' containment reference list.
  See Also:
    `AresPackage.getRun_Results()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD